<?
require_once("include/bittorrent.inc.php");
?>
<table border="1" cellpadding="10">
<tr>
<td width="20%">Question</td>
<td>Answer</td>
</tr>

<tr>
<td>
	<a name="tips">
	<a href="#tips">How to I use BitTorrent efficiently? Can you give me some tips?</a>
</td>
<td>
	<li>
		Make sure that you have opened the ports from the firewall [your bittorrent client of choice] requires. Downloads can be slow or not work at all if the ports are not opened. If your internet connection is behind a NAT (Network Address Translation) firewall, you must configure the firewall to "forward" bittorrent ports to the computer bittorrent client is running on. See <a href="http://btfaq.com/serve/cache/25.html">Brian's faq</a> for more details.
	</li><br>
	<li>
		Keep downloads open <b>even after they are finished</b>. Bittorrent differs from DC: after the download is complete, 
		your client should start <a href="#common_terms">seeding</a> it right away. This means, when you've downloaded a 
		movie using bittorrent, you help the original uploader to share it (pass it on). Even if the original uploader 
		stops seeding the torrent (i.e. removes it from the hard drive) the torrent will stay alive in the tracker and 
		people still are able to download it. If no one of the downloaders seed the torrent they've downloaded, the torrent 
		will probably die at some point because the uploader cannot hold it on his/her hard drive forever. Also, you 
		can gain <a href="#ratios">upload ratio</a> by seeding the torrent. Also, the people who upload torrents a lot 
		will have to keep an awful amount of torrents in seed if no one else seeds them. This consumes a lot of RAM 
		(escpecially if using Azureus).<br>
	</li><br>
	<li>
		Watch your <a href="#ratios">Upload / Download ratio</a> - don't start downloading anything new if your ratio is poor. 
		Instead, create and upload torrents yourself. That's the best way to gain ratio.
	</li><br>
	<li>
		Limit your upload speed. Yeah, in BitTorrent it is absolutely fine to limit your upload 
		bandwidth (unlike in DC where you can quickly get banned for limiting). Only thing that matters is your <a 
		href="#ratios">U/D ratio</a>. A recommended upload limit is 60% - 80% of your upload bandwidth. So, if you 
		have 512kbps upload bandwidth (theoretical 64KB/s), it would be a good idea to limit it to 
		50KB/s. <a href="http://sf.net/projects/azureus">Azureus</a> has built-in upload limiting 
		functionality. In windows, <a href="http://www.netlimiter.com">NetLimiter</a> is also 
		available although that's not recommended. In most cases this can even make your download 
		speeds <b>faster</b>, your internet connection usable <b>without</b> affecting your upload 
		ratio. This way you may not never need to shut down your bittorrent client just because
		you need to use your internet connection.
	</li><br>
</td>
</tr>

<tr>
<td>
	<a name="bbcode">
	<a href="#bbcode">How can I make links clickable in comments/descriptions?</a>
</td>
<td>
	Read the <a href="bbcode.php">BBCode guide</a>.
</td>
</tr>

<tr>
<td>
	<a name="best_client">
	<a href="#best_client">What is the best bittorrent client</a>
</td>
<td>
	<a href="http://sourceforge.net/projects/azureus">Azureus</a>. Why? Well, I have tried most of the GUI clients out there and 
	azureus just beats them all. It does consume a lot of RAM, though, but for me it's not a problem. Also Azureus seems to handle HTTPS 
	encrypted trackers and this trackers specifically without glitches. Azureus is available for most of the platforms (like Linux 
	and Windows) because it's written in Java.
</td>
</tr>

<tr>
<td>
	<a name="ratios">
	<a href="#ratios">What are upload/download ratios?</a>
</td>
<td>
	Upload / Download ratio means the ratio between amount uploaded data and amount of downloaded data. Higher ratio means more 
	upload, smaller ratio means more download. If ratio is 1, amount of uploaded and downloaded data is the same.<br>
	You should try to keep ratio over 1 (at least). If ratio is below 0.5, it means you have downloaded twice as much as 
	you've uploaded. Ratios like this should be avoided. Yes, this might even get you banned from the tracker.<br>
</td>
</tr>

<tr>
<td>
	<a name=".torrent">
	<a href="#.torrent">What is BitTorrent and how do I use .torrent files?</a>
</td>
<td>
	Before you can use this site, or any other BitTorrent site, you must know what BitTorrent (aka BT) actually is, 
	how it works, the programs needed and the methods involved. All of this information can be found at 
	<a href="http://www.btfaq.com">Brian's BitTorrent FAQ and Guide</a>.<br>
	<br>
	If you're lazy and want to figure it all out by trying, here's the short story.<br>
	<br>
	To download files using BitTorrent:<br>
	<li>Download the .torrent file to your harddrive</li>
	<li>Open the .torrent file with a BitTorrent client<li>
	<li>Tell the BitTorrent client where to save the actual data<br>
	<li>Wait until the download completes</li>
	<li>Seed the download you just finished until it has at least <a href="#ratios">U/D ratio</a> of 1.</li>
</td>
</tr>

<tr>
<td>
	<a name="common_terms">
	<a href="#common_terms">I read about seeders, trackers, leechers etc. What/who are they?</a>
</td>
<td>
	Here's some common terms used by BitTorrent<br>
	<br>
	<li>
		<i><b>Uploader</b></i> - The person who uploaded the .torrent file to WWW server. There can be only one uploader per 
		torrent (of course - the same torrent exists only once)
	</li><br>
	<li>
		<i><b>Seeder</b></i> - A person who shares a full copy of the torrent data to others. By "torrent data" I do 
		not mean the .torrent file but the files/directories the .torrent file refers to. This may mean someone who 
		has completed his download and, by leaving his client open, is now providing for other people to 
		download off him.
	</li><br>
	<li>
		<i><b>Leecher</b></i> - Person who is still downloading pieces of the torrent from other users and
		the seeder (if available)
	</li><br>
	<li>
		<i><b>Tracker</b></i> - The server that is used to 'track' a torrent by connecting users who want a specific torrent with 
		other users wanting (or having) the same torrent, thus sharing pieces of a torrent amongst each other until they have 
		the complete package.<br>
	</li><br>
	<li>
		<i><b>Announce URL</b></i> - HTTP/HTTPS URL to the server, path and port where the BitTorrent tracker code is. This 
		URL is used by clients to inform the tracker of their download/seed status and such.
	</li><br>
</td>
</tr>

<tr>
<td>
	<a name="why_owns">
	<a href="#why_owns">Why bittorrent owns other P2P networks out there?</a>
</td>
<td>
	If used correctly, bittorrent is very efficient P2P system.<br>
	<br>
	<li>
		BitTorrent has excellent content control because every torrent is first uploaded to the server, 
		thus they can be moderated easily. No fake shares! In fact, everything can be easily moderated.
	</li><br>
	<li>
		Release quality: because the download page is located on a web server instead of client's file list, 
		the release can have additional information regarding the release (i.e. categories and IMDB 
		link for movies). This makes it very confortable and easy to download files from tracker - you can 
		even choose by category which kind of movies you want to download.
	</li><br>
	<li>
		Enchanced protocol: even if you don't upload (release) any torrents to the server, your upload bandwidth 
		will still help other people when you donwload torrents. In short, this makes downloads faster. 
		Peers downloading the same torrent trade pieces of the data, thus reduce the amount of data 
		needs to be uploaded by the original seeder. This makes torrent good for "hot" downloads unlike Direct 
		Connect for example. In DC, people with "hot" downloads like a new movie will be sufficated by the 
		amount of downloaders because the downloaders can't trade pieces of the unfinished movie.
	</li><br>
	<li>
		Security: bittorrent is relatively recure, although for public trackers it is possible to track IPs which
		seed the movies. This isn't possible in private trackers, escpecially if the connection between client 
		and tracker is encrypted. Client to client protocol doesn't contain any information about the file names 
		and such, thus listening the client-to-client data isn't enough for serious proof of illegal actions. 
		Only the raw data and hashes are transferred between clients, and collecting the pieces together would 
		be VERY difficult (if not impossible).
	</li><br>
	<li>
		Possibility for Upload/Download ratio control. In DC or most of the P2P networks this simply isn't possible.
		This tracker has automatic Upload/Download ratio calculation. In other words, no one can get away with just
		downloading stuff and not uploading anything to anyone (which is common in DC - people just connect and download stuff 
and when they're complete they disconnect the hub).
	</li><br>
	<li>
		Quite standardized protocol (at least when compared to DC). <a href="http://wiki.theory.org/BitTorrentSpecification">BitTorrent protocol is properly documented</a> and 
		standardized unlike DC where people make their own implementations because the protocol wasn't open from the 
		beginning. There are few ambiguous things in bittorrent protocol though (like peer_id generation), but they're
		not really that important.
	</li><br>
</td>
</tr>
<tr>
<td>
	<a name="404_error">
	<a href="#404_error">Why do people get 404 (page not found) error when they click on the torrent link I gave them?</a>
</td>
<td>
	This tracker fakes "page not found" errors if the user is not logged in. This is to prevent unwanted people guessing URLs. No outsider will 
	know if the server contains anything torrent related. Announce.php also returns 404 error if the user's IP address is not recognized.<br>
</td>
</tr>

<tr>
<td>
	<a name="upload">
	<a href="#upload">How do I upload a torrent?</a>
</td>
<td>
	Check the <a href="upload.php?showguide">Upload page with Azureus guide enabled</a>.
</td>
</tr>

<tr>
<td>
	<a name="uploadrequest">
	<a href="#uploadrequest">What is an "Upload Request"? What does the upload request page stand for?</a>
</td>
<td>
	The <a href="viewuploadrequests.php">Upload requests</a> page was written to help tracker users contentrate upload efforts. There is no point in uploading something that people don't need (although it won't hurt - it's just a line in the torrent list). Users can make requests what kind of torrents they would like to see here. Upload requests page also has functionality to automatically find matching torrents based of the given categories (and name search pattern in the future). Upload requests can be commented too, i.e. if you have uploaded torrents that match the request, you can post a link/search to the torrent(s) you uploaded.
</td>
</tr>

<tr>
<td>
	<a name="security">
	<a href="#security">
	How secure is this tracker?<br>
	<br>
	Can anyone find out what I'm downloading or uploading?
</td>
<td>
	Persons who can figure out what you are downloading or uploading:<br>
	<li>
		Tracker users only. This is because the connection between tracker and 
		BitTorrent client is all way encrypted. Also, even if someone had the intention to collect
		information what user has downloaded/uploaded what, it would be troublesome because
		users are anonymous to each other. The seeder IP address has to be figured out by starting
		the download with BitTorrent client and checking the IP addresses from peer list.
		You can't just collect exact data by doing a username search because usernames are anonymous
		between normal tracker users (only administrators see users' real identities).
	</li>
	<br>
	Persons who can figure out that I'm using BitTorrent to download/upload <b>something</b>:<br>
	<li>
		Your Internet Service Provider Administrators. They can see the following things:
		<ul>
			<li>
				info_hash of the torrent you're downloading. This doesn't tell anything because the hash is only a set of 
				bytes that 
				contain the "fingerprint" of the .torrent file. This can't be used to prove anything, and this can't be used to find out
				what you are downloading <b>unless the person can access the same tracker you are using</b>. That's not possible because only 
				trusted users are let to use this tracker.<br>
			</li>
			<li>
				How much data you are downloading/uploading. This, well, uh, tells how much data you are uploading 
				or downloading.
			</li>
			<li>
				Parts of the raw data you are uploading. Like I said, this will be in many pieces and would require 
				special software to assemble into a working file (an AVI video file for example). By looking at the data pieces
				you can only see a huge amount of random binary data. It is possible but very, 
				very unlike that someone would assemble the data into a working file that could be used to prove 
				any illegal activities.
			</li>
		</ul>
		<br>
		<br>
		In short: ISP network administrators can't see what you are downloading and other tracker 
		users (which are trusted anyway) won't see your real identity nor easily see what you have 
		uploaded and what comments you have written.
	</li>
</td>
</tr>

<tr>
<td>
	<a name="i_see_dead_torrents">
	<a href="#i_see_dead_torrents">Why do I sometimes see dead torrents in the search even if I choose not to?</a>
</td>
<td>
	Torrents aren't marked as dead until it has been without seeds for a specified time. Currently the 
	limit is <?=mkprettytime($max_dead_torrent_time)?> ($max_dead_torrent_time).
</td>
</tr>

<tr>
<td>
	<a name="author">
	<a href="#author">Who did write this tracker software, and why?</a>
</td>
<td>
	This tracker is based on ByteMonsoon 2.0.5 code found <a 
	href="http://sourceforge.net/projects/bytemonsoon">http://sourceforge.net/projects/bytemonsoon</a>, and then later on modified by an anynomous 
	developer (who wants to remain unknown to avoid legal issues, if you know what I mean ;) ). This tracker was written because there was no open 
	souce private trackers available, that would have filled all the needs.<br>
</td>
</tr>

</table>
